## org.apache.myfaces.component.html.util
Class MultipartRequestWrapper

    java.lang.Object
      javax.servlet.ServletRequestWrapper
          javax.servlet.http.HttpServletRequestWrapper
              org.apache.myfaces.component.html.util.MultipartRequestWrapper

All Implemented Interfaces:
  javax.servlet.http.HttpServletRequest, javax.servlet.ServletRequest

public class MultipartRequestWrapper
extends javax.servlet.http.HttpServletRequestWrapper

Version:
  $Revision: 169646 $ $Date: 2005-05-11 11:34:57 -0400 (Wed, 11 May 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from interface javax.servlet.http.HttpServletRequest
`BASIC_AUTH, CLIENT_CERT_AUTH, DIGEST_AUTH, FORM_AUTH`

Constructor Summary
`MultipartRequestWrapper(javax.servlet.http.HttpServletRequest request, int maxSize, int thresholdSize, java.lang.String repositoryPath)`

Method Summary
`org.apache.commons.fileupload.FileItem` `getFileItem(java.lang.String fieldName)`
`java.util.Map` `getFileItems()` Not used internaly by MyFaces, but provides a way to handle the uploaded files out of MyFaces.
`java.lang.String` `getParameter(java.lang.String name)`
`java.util.Map` `getParameterMap()`
`java.util.Enumeration` `getParameterNames()`
`java.lang.String[]` `getParameterValues(java.lang.String name)`

Methods inherited from class javax.servlet.http.HttpServletRequestWrapper

`getAuthType, getContextPath, getCookies, getDateHeader, getHeader, getHeaderNames, getHeaders, getIntHeader, getMethod, getPathInfo, getPathTranslated, getQueryString, getRemoteUser, getRequestedSessionId, getRequestURI, getRequestURL, getServletPath, getSession, getSession, getUserPrincipal, isRequestedSessionIdFromCookie, isRequestedSessionIdFromUrl, isRequestedSessionIdFromURL, isRequestedSessionIdValid, isUserInRole`

Methods inherited from class javax.servlet.ServletRequestWrapper
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequest, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding, setRequest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.ServletRequest
`getAttribute, getAttributeNames, getCharacterEncoding, getContentLength, getContentType, getInputStream, getLocale, getLocales, getProtocol, getReader, getRealPath, getRemoteAddr, getRemoteHost, getRequestDispatcher, getScheme, getServerName, getServerPort, isSecure, removeAttribute, setAttribute, setCharacterEncoding`

Constructor Detail

### MultipartRequestWrapper

    public MultipartRequestWrapper(javax.servlet.http.HttpServletRequest request,
                                   int maxSize,
                                   int thresholdSize,
                                   java.lang.String repositoryPath)

Method Detail

### getParameterNames

    public java.util.Enumeration getParameterNames()

### getParameter

    public java.lang.String getParameter(java.lang.String name)

### getParameterValues

    public java.lang.String[] getParameterValues(java.lang.String name)

### getParameterMap

    public java.util.Map getParameterMap()

### getFileItem

    public org.apache.commons.fileupload.FileItem getFileItem(java.lang.String fieldName)

### getFileItems

    public java.util.Map getFileItems()

  Not used internaly by MyFaces, but provides a way to handle the uploaded files out of MyFaces.